查询秒杀详情+listing+订单(批量)
POST
/promotionApi/open/promotion/secKillAllDetailBatch接口信息
| API Path | 请求协议 | 请求方式 | [令牌桶容量]() |
|---|---|---|---|
/promotionApi/open/promotion/secKillAllDetailBatch | HTTPS | POST | 1 |
请求参数
itemListarray<object>必填隐藏子属性
promotionIdstring必填storeIdstring必填orderPageNumnumber必填orderPageSizenumber必填listingPageNumnumber必填listingPageSizenumber必填请求示例
{
"itemList": [
{
"promotionId": "04e2ce6b-c5b6-4244-8100-68b6502d90be",
"storeId": "31",
"orderPageNum": 1,
"orderPageSize": 20,
"listingPageNum": 2,
"listingPageSize": 1
}
]
}
返回结果
Json Object
codenumber必填messagestring必填error_detailsarray<any>request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
promotionIdstring必填storeIdstring必填secKillobject必填隐藏子属性
storeIdstring必填storeNamestring必填regionNamestring必填currencyIconstring必填promotionIdstring必填namestring必填statusnumber必填statusTextstring必填originStatusstring必填promotionTypenumber必填promotionTypeTextstring必填promotionStartTimestring必填promotionEndTimestring必填descriptionstring必填seckillFeenumber必填seckillFeeMinnumber必填seckillFeeMaxnumber必填waivedboolean必填salesAmountnumber必填salesVolumenumber必填soldRatenumber必填pageViewstring必填exchangeRatenumber必填pcosnumber必填listingPageobject必填隐藏子属性
totalnumber必填sizenumber必填pageCountnumber必填currentnumber必填currentSizenumber必填recordsarray<object>必填隐藏子属性
storeIdstring必填storeNamestring必填regionNamestring必填currencyIconstring必填sellerSkustring必填asinstring必填asinUrlstring必填smallImageUrlstring必填itemNamestring必填secKIllobject必填隐藏子属性
salesPricenumber必填discountPricenumber必填discountnumber必填dealQuantitystring必填hasNextPageboolean必填hasPreviousPageboolean必填orderPageobject必填隐藏子属性
totalnumber必填sizenumber必填pageCountnumber必填currentnumber必填currentSizenumber必填recordsarray<object>必填隐藏子属性
amazonOrderIdstring必填storeIdstring必填storeNamestring必填regionNamestring必填currencyIconstring必填orderItemsarray<object>必填隐藏子属性
sellerSkustring必填asinstring必填asinUrlstring必填smallImageUrlstring必填itemNamestring必填localNamestring必填localSkustring必填promotionIdstring必填purchaseDatestring必填orderTotalAmountnumber必填orderStatusstring必填hasNextPageboolean必填hasPreviousPageboolean必填返回成功示例
{
"code": 1,
"message": "操作成功",
"error_details": [],
"request_id": "",
"response_time": "",
"total": 0,
"data": [{
"promotionId": "04e2ce6b-c5b6-4244-8100-68b6502d90be",
"storeId": "A23VOKJ3KY8G48",
"secKill": {
"storeId": "A23VOKJ3KY8G48",
"storeName": "非凡-JP",
"regionName": "日本",
"currencyIcon": "JP¥",
"promotionId": "04e2ce6b-c5b6-4244-8100-68b6502d90be",
"name": "有数据的秒杀",
"status": 2,
"statusText": "已过期",
"originStatus": "ENDED",
"promotionType": 2,
"promotionTypeText": "Lightning Deal",
"promotionStartTime": "2025-06-21 10:15:00",
"promotionEndTime": "2025-06-21 22:15:00",
"description": "有数据的秒杀",
"seckillFee": 0,
"seckillFeeMin": 150,
"seckillFeeMax": 150,
"waived": false,
"salesAmount": 312.38,
"salesVolume": 11,
"soldRate": 0.61,
"pageView": "1422",
"exchangeRate": 0.77,
"pcos": 0.48
},
"listingPage": {
"total": 2,
"size": 1,
"pageCount": 2,
"current": 2,
"currentSize": 1,
"records": [{
"storeId": "31",
"storeName": "非凡-JP",
"regionName": "日本",
"currencyIcon": "JP¥",
"sellerSku": "31-250J-NKH6",
"asin": "B09SB1R9NB",
"asinUrl": "https://www.amazon.co.jp/dp/B09SB1R9NB",
"smallImageUrl": "https://m.media-amazon.com/images/I/71SLxt+OS8L._SL75_.jpg",
"itemName": "モース暗号ブレスレット",
"secKIll": {
"salesPrice": 2660,
"discountPrice": 0,
"discount": 2660,
"dealQuantity": ""
}
}],
"hasNextPage": false,
"hasPreviousPage": true
},
"orderPage": {
"total": 1,
"size": 20,
"pageCount": 1,
"current": 1,
"currentSize": 1,
"records": [{
"amazonOrderId": "fasdfasdga13241-R",
"storeId": "31",
"storeName": "非凡-JP",
"regionName": "日本",
"currencyIcon": "JP¥",
"orderItems": [{
"sellerSku": "09-CJWX-DFQH",
"asin": "B09SBF3H99",
"asinUrl": "https://www.amazon.co.jp/dp/B09SBF3H99",
"smallImageUrl": "https://m.media-amazon.com/images/I/51f8M9Z0O5L._SL75_.jpg",
"itemName": "シンプルなハート型ワックス編みカップルブレスレット (Red)",
"localName": "KT7XL",
"localSku": "SKUKT7XL",
"promotionId": "04e2ce6b-c5b6-4244-8100-68b6502d90be"
}],
"purchaseDate": "2022-05-07 00:00:00",
"orderTotalAmount": 0,
"orderStatus": "CANCELLED"
}],
"hasNextPage": false,
"hasPreviousPage": false
}
}]
}